Bug 108008 - xrandr detects wrong refresh rate for lcd screens
xrandr detects wrong refresh rate for lcd screens
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: XFree86 (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-25 23:50 EDT by Damian Menscher
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 4.3.0-43
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-03 09:50:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XF86Config file (3.14 KB, text/plain)
2003-11-01 18:12 EST, Damian Menscher
no flags Details
XFree86.0.log (36.21 KB, text/plain)
2003-11-01 18:12 EST, Damian Menscher
no flags Details

  None (edit)
Description Damian Menscher 2003-10-25 23:50:23 EDT
Description of problem:
I'm on a laptop with 1920x1200 screen.  As everyone knows, all LCD screens are
60Hz refresh rate.  But xrandr thinks the refresh rate is 59Hz, which is kinda
freaky.

Version-Release number of selected component (if applicable):
XFree86-4.3.0-37

How reproducible:
Always

Steps to Reproduce:
1.xrandr
 

Additional info:

# xrandr
 SZ:    Pixels          Physical       Refresh
*0   1920 x 1200   ( 650mm x 406mm )  *59
 1   1600 x 1200   ( 650mm x 406mm )   59
 2   1400 x 1050   ( 650mm x 406mm )   59
 3   1280 x 1024   ( 650mm x 406mm )   59
 4   1280 x 960    ( 650mm x 406mm )   59
 5   1024 x 768    ( 650mm x 406mm )   59
 6    800 x 600    ( 650mm x 406mm )   59
 7    640 x 480    ( 650mm x 406mm )   59
 8    640 x 350    ( 650mm x 406mm )   59
 9    640 x 400    ( 650mm x 406mm )   59
 10   720 x 400    ( 650mm x 406mm )   59
 11  1152 x 864    ( 650mm x 406mm )   59
 12   832 x 624    ( 650mm x 406mm )   59
 13  1152 x 768    ( 650mm x 406mm )   59
 14  1600 x 1024   ( 650mm x 406mm )   59
Current rotation - normal
Current reflection - none
Rotations possible - normal
Reflections possible - none
Comment 1 Mike A. Harris 2003-10-30 02:32:01 EST
Attach your X server log and config file.
Comment 2 Mike A. Harris 2003-10-30 02:51:36 EST
Actually... I just talked to Keith, and also triggered a memory of a rounding
error in RandR, recently fixed in CVS.  I believe it is highly likely causing
the problem you are seeing.  I've backported a fix for this and it is present
in 4.3.0-42.2, and later builds.  Once this is available for testing, please
confirm wether or not it fixes the problem for you.  I'll try to remember
to update the report when a build is ready, but if you can check rawhide
or my ftp space on people.redhat.com you might find a build sooner.

Thanks.
Comment 3 Damian Menscher 2003-11-01 18:12:03 EST
Created attachment 95654 [details]
XF86Config file
Comment 4 Damian Menscher 2003-11-01 18:12:59 EST
Created attachment 95655 [details]
XFree86.0.log

Here's the second attachment you requested (not sure if you still need these,
but....)
Comment 5 Mike A. Harris 2003-11-03 09:50:58 EST
Fixed in 4.3.0-43 available from:

ftp://people.redhat.com/mharris/testing/unstable/XFree86

Closing as "RAWHIDE" for now as this will be pushed into rawhide
later on.
Comment 6 Mike A. Harris 2003-11-03 09:52:17 EST
Oh, forgot to mention....   please update this report to indicate
if the fix works for you or not.
Comment 7 Jay Turner 2004-01-16 11:58:43 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-406.html

Note You need to log in before you can comment on or make changes to this bug.